// Ionic Starter App
angular.module('starter', ['ionic','ionic.service.core','ionic.service.analytics', 'starter.controllers', 'youtube-embed'])

.run(function($ionicPlatform, $ionicAnalytics, $ionicPopup) {
  $ionicPlatform.ready(function() {
    // Verifica a conexao
    if(window.Connection) {
        if(navigator.connection.type == Connection.NONE || navigator.connection.type == Connection.CELL_2G) {
            $ionicPopup.alert({
                title: "Sem conexão com Internet",
                subTitle: "Para utilizar este APP você precisa estar conectado. Por favor conecte-se a internet e tente novamente.",
                buttons: [
                  { text: 'Ok', type: 'button-positive' }
                ]
            })
            .then(function(result) {
                if(!result) {
                    ionic.Platform.exitApp();
                }
            });
        }
    }

    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleLightContent();
    }
    $ionicAnalytics.register();
  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

   .state('tabs', {
      url: "/tab",
      abstract: true,
      templateUrl: "templates/tab.html"
    })

  .state('tabs.noticiasLista', {
      url: "/noticiasLista",
      views: {
        'noticias-tab': {
          templateUrl: "noticias/noticiasLista.html",
          controller: 'NoticiasCtrl'
        }
      }
    })

  .state('tabs.noticia', {
      url: "/noticia",
      views: {
        'noticias-tab': {
          templateUrl: "noticias/noticia.html",
          controller: 'NoticiaViewCtrl'
        }
      }
    })

  .state('tabs.videos', {
      url: "/videos",
      views: {
        'videos-tab': {
          templateUrl: "videos/videos.html",
          controller: 'videoCtrl'
        }
      }
    })

	//DLE
	.state('app', {
      url: "/app",
      templateUrl: "dle/app.html",
      controller: 'AppCtrl'
    })

	.state('desenv', {
      url: "/desenv",
      templateUrl: "dle/desenvolvedor.html",
      controller: 'AppCtrl'
    })

	.state('indique', {
      url: "/indique",
      templateUrl: "dle/indique.html",
      controller: 'shareCtrl'
    })

	.state('outrosApps', {
      url: "/outrosApps",
      templateUrl: "dle/outrosApps.html",
      controller: "OutrosAppCtrl"
    })

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/noticiasLista');
});
