angular.module('starter.controllers', ['chieffancypants.loadingBar', 'ngCordova.plugins.socialSharing'])

// Nav
.controller('NavCtrl', function($scope, $ionicSideMenuDelegate) {
  $scope.showMenu = function () {
    $ionicSideMenuDelegate.toggleLeft();
  };
})

.controller('HomeTabCtrl', function($scope) {
})

// Share
.controller("shareCtrl", function($scope, $cordovaSocialSharing){

  $scope.shareAnywhere = function(){
    $cordovaSocialSharing
      .share('Veja notícias e vídeos sobre Automobilismo Brasileiro. Instale o APP Automobilismo', 'Automobilismo', 'http://www.dlemobile.com.br/AutomobilismoAPP/automobilismoShare.png', 'http://dlemobile.com.br/wordpress/automobilismo') // Share via native share sheet
      .then(function(result) {
        $scope.showMessage = true
      }, function(err) {
        // An error occured. Show a message to the user
      });
  };
})

// Noticias
.controller('NoticiasCtrl', function($scope, $http) {
  //Load Banner
  $scope.$on('$ionicView.beforeEnter', function(){
    $scope.loadBanner = function(){
      window.plugins.AdMob.createBannerView();
    };
    $scope.loadBanner();
  });

  setTimeout(function () {
		$scope.$apply(function () {
			$http.get('http://www.dlemobile.com.br/horoscopoWeb/FormulaServlet').success(function(response) {
					$scope.noticias = response.lista;
						window.localStorage.setItem("listaNoticias", JSON.stringify(response.lista));
				}, function(err) {
					listaNoticias = JSON.parse(window.localStorage.getItem("listaNoticias"));
					if((listaNoticias == null) || (listaNoticias.length == 0)) {
						alert("problema com a conexão de internet");
					} else {
						 $scope.noticias = listaNoticias;
					}
				});

		})
	}, 800);


  $scope.noticia = function(index){
    window.localStorage.setItem("noticia", JSON.stringify($scope.noticias[index]));
  }

  //Refresh
  $scope.doRefresh = function() {
    $http.get('http://www.dlemobile.com.br/horoscopoWeb/FormulaServlet')
     .success(function(response) {$scope.noticias = response.lista})
     .finally(function() {$scope.$broadcast('scroll.refreshComplete');});
  };
})

.controller('NoticiaViewCtrl', function($scope){
  $scope.noticiaView = JSON.parse(window.localStorage.getItem("noticia"));
})

// Video
.controller('videoCtrl', function($scope, $http, $ionicModal){
  //Clear Banner
  $scope.$on('$ionicView.beforeEnter', function(){
    $scope.clearBanner = function(){
      window.plugins.AdMob.destroyBannerView();
    };
    $scope.clearBanner();
  });

  //Modal
    $ionicModal.fromTemplateUrl('templates/videosModal.html', {
      scope: $scope,
      animation: 'slide-in-up'
    }).then(function(modal) {
      $scope.modal = modal;
    });

    $scope.openModal = function(video) {
      $scope.videosSelect = video;
      $scope.modal.show();
    };

    $scope.closeModal = function(videos) {
      $scope.modal.hide();
      window.plugins.AdMob.createInterstitialView();
    };

    //Cleanup the modal when we're done with it!
    $scope.$on('$destroy', function() {
      $scope.modal.remove();
    })

    //youtubeParams
    $scope.videosSelect = null;
    $scope.videos = [];
    $scope.youtubeParams = {
      key: 'AIzaSyDtMWyZ7OKmiYWsX_ScgMruN89UOtb3tO4',
      type: 'video',
      maxResults: '50',
      part: 'snippet',
      q: 'Automobilismo',
      order: 'date',
    }

    $scope.playerVars = {
      rel: 0,
      showinfo: 0,
      modestbranding: 0,
    }

    $http.get('https://www.googleapis.com/youtube/v3/search', {params:$scope.youtubeParams}).success(function(response){
      angular.forEach(response.items, function(index){
        $scope.videos.push(index);
      });
    });

    //Refresh
    $scope.doRefresh = function() {
      $http.get('https://www.googleapis.com/youtube/v3/search', {params:$scope.youtubeParams})
      .success(function(response){
        angular.forEach(response.items, function(index){
          $scope.videos.push(index);
        })
      })
       .finally(function() {
         // Stop the ion-refresher from spinning
         $scope.$broadcast('scroll.refreshComplete');
       });
    };
})

// DLE
.controller('OutrosAppCtrl', function($scope, $http, $window) {

  $http.get('http://www.dlemobile.com.br/gardenmcWeb/AplicativosServlet?acao=L&id=5&idPlataforma=1')
  .success(function(response) {$scope.outrosApps = response.lista})

  $scope.linkExt = function(link) {
    window.open( link, '_self');
  };

})

.controller('AppCtrl', function($scope, $window) {

  if(ionic.Platform.isIOS()){
    $scope.linkApp = function() {
      window.open( 'https://itunes.apple.com/us/app/turismo-mobile/id1110860615?l=pt&ls=1&mt=8', '_self');
    };
	}
	if(ionic.Platform.isAndroid()){
    $scope.linkApp = function() {
      window.open( 'market://details?id=br.com.dle.automobile', '_system');
    };
	}

  $scope.linkExt = function(link) {
    window.open( link, '_self');
  };

})
